| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
blf_canfderror64 Struct Reference

Extended header for a BLF CAN FD error frame object with full diagnostic and timing metadata. More...

`#include <blf.h>`

## Public Attributes
uint8_t | channel
uint8_t | dlc
uint8_t | validDataBytes
uint8_t | ecc
uint16_t | flags
uint16_t | errorCodeExt
uint16_t | extFlags
uint8_t | extDataOffset
uint8_t | reserved1
uint32_t | id
uint32_t | frameLength_in_ns
uint32_t | btrCfgArb
uint32_t | btrCfgData
uint32_t | timeOffsetBrsNs
uint32_t | timeOffsetCrcDelNs
uint32_t | crc
uint16_t | errorPosition
uint16_t | reserved2

## Detailed Description

Extended header for a BLF CAN FD error frame object with full diagnostic and timing metadata.

## Member Data Documentation

## ◆ btrCfgArb

uint32_t blf_canfderror64::btrCfgArb

Bit timing register configuration for the arbitration phase.

## ◆ btrCfgData

uint32_t blf_canfderror64::btrCfgData

Bit timing register configuration for the data phase.

## ◆ channel

uint8_t blf_canfderror64::channel

Logical CAN channel number on which the error was observed.

## ◆ crc

uint32_t blf_canfderror64::crc

CRC value of the erroneous CAN FD frame as observed on the bus.

## ◆ dlc

uint8_t blf_canfderror64::dlc

Data Length Code of the erroneous frame (0–15 for CAN FD).

## ◆ ecc

uint8_t blf_canfderror64::ecc

Error Capture Code register value identifying the error type and location.

## ◆ errorCodeExt

uint16_t blf_canfderror64::errorCodeExt

Extended error code providing additional detail about the error condition.

## ◆ errorPosition

uint16_t blf_canfderror64::errorPosition

Bit position within the frame at which the error was detected.

## ◆ extDataOffset

uint8_t blf_canfderror64::extDataOffset

Byte offset from the start of this struct to any extended data appended after the payload.

## ◆ extFlags

uint16_t blf_canfderror64::extFlags

Additional extended flags with supplementary error state information.

## ◆ flags

uint16_t blf_canfderror64::flags

Bitmask of flags describing the properties and context of this error frame.

## ◆ frameLength_in_ns

uint32_t blf_canfderror64::frameLength_in_ns

Total duration of the erroneous CAN FD frame on the bus in nanoseconds.

## ◆ id

uint32_t blf_canfderror64::id

CAN message identifier of the erroneous frame; bit 31 set indicates a 29-bit extended ID.

## ◆ reserved1

uint8_t blf_canfderror64::reserved1

Reserved; must be zero.

## ◆ reserved2

uint16_t blf_canfderror64::reserved2

Reserved; must be zero.

## ◆ timeOffsetBrsNs

uint32_t blf_canfderror64::timeOffsetBrsNs

Time offset in nanoseconds from the start of the frame to the BRS bit.

## ◆ timeOffsetCrcDelNs

uint32_t blf_canfderror64::timeOffsetCrcDelNs

Time offset in nanoseconds from the start of the frame to the CRC delimiter bit.

## ◆ validDataBytes

uint8_t blf_canfderror64::validDataBytes

Number of valid data bytes captured from the erroneous frame payload.

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/wiretap/blf.h